Logged Model
A logged model message includes logged model attributes, tags, registration info, params, and linked run metrics.
LoggedModel object
A logged model message includes logged model attributes, tags, registration info, params, and linked run metrics.
- infoobject
The logged model attributes such as model ID, status, tags, etc.
Show child attributesHide child attributes
- model_idstring
The unique identifier for the logged model.
- experiment_idstring
The ID of the experiment that owns the model.
- namestring
The name of the model.
- creation_timestamp_msint64
The timestamp when the model was created in milliseconds since the UNIX epoch.
- last_updated_timestamp_msint64
The timestamp when the model was last updated in milliseconds since the UNIX epoch.
- artifact_uristring
The URI of the directory where model artifacts are stored.
- statusstring
The status of whether or not the model is ready for use.
- creator_idint64
The ID of the user or principal that created the model.
- model_typestring
The type of model, such as
"Agent","Classifier","LLM".
- source_run_idstring
The ID of the run that created the model.
- status_messagestring
Details on the current model status.
- tagsarray of object
Mutable string key-value pairs set on the model.
Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- dataobject
The params and metrics attached to the logged model.
Show child attributesHide child attributes
- paramsarray of object
Immutable string key-value pairs of the model.
Show child attributesHide child attributes
- keystring
The key identifying this param.
- valuestring
The value of this param.
- metricsarray of object
Performance metrics linked to the model.
Show child attributesHide child attributes
- keystring
The key identifying the metric.
- valuedouble
The value of the metric.
- timestampint64
The timestamp at which the metric was recorded.
- stepint64
The step at which the metric was logged.
- dataset_namestring
The name of the dataset associated with the metric. E.g. “my.uc.table@2” “nyc-taxi-dataset”, “fantastic-elk-3”
- dataset_digeststring
The dataset digest of the dataset associated with the metric, e.g. an md5 hash of the dataset that uniquely identifies it within datasets of the same name.
- model_idstring
The ID of the logged model or registered model version associated with the metric, if applicable.
- run_idstring
The ID of the run containing the metric.
Get GA
GET
Get a logged model.
API scopes: mlflow
Parameters
- model_idstringpath
The ID of the logged model to retrieve.
Response
- modelobject
The retrieved logged model.
Show child attributesHide child attributes
- infoobject
The logged model attributes such as model ID, status, tags, etc.
Show child attributesHide child attributes
- model_idstring
The unique identifier for the logged model.
- experiment_idstring
The ID of the experiment that owns the model.
- namestring
The name of the model.
- creation_timestamp_msint64
The timestamp when the model was created in milliseconds since the UNIX epoch.
- last_updated_timestamp_msint64
The timestamp when the model was last updated in milliseconds since the UNIX epoch.
- artifact_uristring
The URI of the directory where model artifacts are stored.
- statusstring
The status of whether or not the model is ready for use.
- creator_idint64
The ID of the user or principal that created the model.
- model_typestring
The type of model, such as
"Agent","Classifier","LLM".
- source_run_idstring
The ID of the run that created the model.
- status_messagestring
Details on the current model status.
- tagsarray of object
Mutable string key-value pairs set on the model.
Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- dataobject
The params and metrics attached to the logged model.
Show child attributesHide child attributes
- paramsarray of object
Immutable string key-value pairs of the model.
Show child attributesHide child attributes
- keystring
The key identifying this param.
- valuestring
The value of this param.
- metricsarray of object
Performance metrics linked to the model.
Show child attributesHide child attributes
- keystring
The key identifying the metric.
- valuedouble
The value of the metric.
- timestampint64
The timestamp at which the metric was recorded.
- stepint64
The step at which the metric was logged.
- dataset_namestring
The name of the dataset associated with the metric. E.g. “my.uc.table@2” “nyc-taxi-dataset”, “fantastic-elk-3”
- dataset_digeststring
The dataset digest of the dataset associated with the metric, e.g. an md5 hash of the dataset that uniquely identifies it within datasets of the same name.
- model_idstring
The ID of the logged model or registered model version associated with the metric, if applicable.
- run_idstring
The ID of the run containing the metric.
Create GA
POST
Create a logged model.
API scopes: mlflow
Request body
- experiment_idstring
The ID of the experiment that owns the model.
- namestring
The name of the model (optional). If not specified one will be generated.
- model_typestring
The type of the model, such as
"Agent","Classifier","LLM".
- source_run_idstring
The ID of the run that created the model.
- paramsarray of object
Parameters attached to the model.
Show child attributesHide child attributes
- keystring
The key identifying this param.
- valuestring
The value of this param.
- tagsarray of object
Tags attached to the model.
Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
Response
- modelobject
The newly created logged model.
Show child attributesHide child attributes
- infoobject
The logged model attributes such as model ID, status, tags, etc.
Show child attributesHide child attributes
- model_idstring
The unique identifier for the logged model.
- experiment_idstring
The ID of the experiment that owns the model.
- namestring
The name of the model.
- creation_timestamp_msint64
The timestamp when the model was created in milliseconds since the UNIX epoch.
- last_updated_timestamp_msint64
The timestamp when the model was last updated in milliseconds since the UNIX epoch.
- artifact_uristring
The URI of the directory where model artifacts are stored.
- statusstring
The status of whether or not the model is ready for use.
- creator_idint64
The ID of the user or principal that created the model.
- model_typestring
The type of model, such as
"Agent","Classifier","LLM".
- source_run_idstring
The ID of the run that created the model.
- status_messagestring
Details on the current model status.
- tagsarray of object
Mutable string key-value pairs set on the model.
Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- dataobject
The params and metrics attached to the logged model.
Show child attributesHide child attributes
- paramsarray of object
Immutable string key-value pairs of the model.
Show child attributesHide child attributes
- keystring
The key identifying this param.
- valuestring
The value of this param.
- metricsarray of object
Performance metrics linked to the model.
Show child attributesHide child attributes
- keystring
The key identifying the metric.
- valuedouble
The value of the metric.
- timestampint64
The timestamp at which the metric was recorded.
- stepint64
The step at which the metric was logged.
- dataset_namestring
The name of the dataset associated with the metric. E.g. “my.uc.table@2” “nyc-taxi-dataset”, “fantastic-elk-3”
- dataset_digeststring
The dataset digest of the dataset associated with the metric, e.g. an md5 hash of the dataset that uniquely identifies it within datasets of the same name.
- model_idstring
The ID of the logged model or registered model version associated with the metric, if applicable.
- run_idstring
The ID of the run containing the metric.
Delete GA
Finalize Logged Model GA
PATCH
Finalize a logged model.
API scopes: mlflow
Parameters
- model_idstringpath
The ID of the logged model to finalize.
Request body
- statusstring
Whether or not the model is ready for use.
"LOGGED_MODEL_UPLOAD_FAILED"indicates that something went wrong when logging the model weights / agent code.
Response
- modelobject
The updated logged model.
Show child attributesHide child attributes
- infoobject
The logged model attributes such as model ID, status, tags, etc.
Show child attributesHide child attributes
- model_idstring
The unique identifier for the logged model.
- experiment_idstring
The ID of the experiment that owns the model.
- namestring
The name of the model.
- creation_timestamp_msint64
The timestamp when the model was created in milliseconds since the UNIX epoch.
- last_updated_timestamp_msint64
The timestamp when the model was last updated in milliseconds since the UNIX epoch.
- artifact_uristring
The URI of the directory where model artifacts are stored.
- statusstring
The status of whether or not the model is ready for use.
- creator_idint64
The ID of the user or principal that created the model.
- model_typestring
The type of model, such as
"Agent","Classifier","LLM".
- source_run_idstring
The ID of the run that created the model.
- status_messagestring
Details on the current model status.
- tagsarray of object
Mutable string key-value pairs set on the model.
Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- dataobject
The params and metrics attached to the logged model.
Show child attributesHide child attributes
- paramsarray of object
Immutable string key-value pairs of the model.
Show child attributesHide child attributes
- keystring
The key identifying this param.
- valuestring
The value of this param.
- metricsarray of object
Performance metrics linked to the model.
Show child attributesHide child attributes
- keystring
The key identifying the metric.
- valuedouble
The value of the metric.
- timestampint64
The timestamp at which the metric was recorded.
- stepint64
The step at which the metric was logged.
- dataset_namestring
The name of the dataset associated with the metric. E.g. “my.uc.table@2” “nyc-taxi-dataset”, “fantastic-elk-3”
- dataset_digeststring
The dataset digest of the dataset associated with the metric, e.g. an md5 hash of the dataset that uniquely identifies it within datasets of the same name.
- model_idstring
The ID of the logged model or registered model version associated with the metric, if applicable.
- run_idstring
The ID of the run containing the metric.
Search Logged Models GA
POST
Search for Logged Models that satisfy specified search criteria.
API scopes: mlflow
Request body
- experiment_idsarray of string
The IDs of the experiments in which to search for logged models.
- filterstring
A filter expression over logged model info and data that allows returning a subset of logged models. The syntax is a subset of SQL that supports AND'ing together binary operations.
Example:
params.alpha < 0.3 AND metrics.accuracy > 0.9.
- datasetsarray of object
List of datasets on which to apply the metrics filter clauses. For example, a filter with
metrics.accuracy > 0.9and dataset info with name "test_dataset" means we will return all logged models with accuracy > 0.9 on the test_dataset. Metric values from ANY dataset matching the criteria are considered. If no datasets are specified, then metrics across all datasets are considered in the filter.Show child attributesHide child attributes
- dataset_namestring
The name of the dataset.
- dataset_digeststring
The digest of the dataset.
- max_resultsint32
The maximum number of Logged Models to return. The maximum limit is 50.
- order_byarray of object
The list of columns for ordering the results, with additional fields for sorting criteria.
Show child attributesHide child attributes
- field_namestring
The name of the field to order by, e.g. "metrics.accuracy".
- ascendingboolean
Whether the search results order is ascending or not.
- dataset_namestring
If
field_namerefers to a metric, this field specifies the name of the dataset associated with the metric. Only metrics associated with the specified dataset name will be considered for ordering. This field may only be set iffield_namerefers to a metric.
- dataset_digeststring
If
field_namerefers to a metric, this field specifies the digest of the dataset associated with the metric. Only metrics associated with the specified dataset name and digest will be considered for ordering. This field may only be set ifdataset_nameis also set.
- page_tokenstring
The token indicating the page of logged models to fetch.
Response
Returns a list of LoggedModel objects.
Set Logged Model Tags GA
PATCH
Set tags for a logged model.
API scopes: mlflow
Parameters
- model_idstringpath
The ID of the logged model to set the tags on.
Request body
- tagsarray of object
The tags to set on the logged model.
Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
Delete Logged Model Tag GA
Log Logged Model Params GA
POST
Logs params for a logged model. A param is a key-value pair (string key, string value). Examples include hyperparameters used for ML model training. A param can be logged only once for a logged model, and attempting to overwrite an existing param with a different value will result in an error
API scopes: mlflow
Parameters
- model_idstringpath
The ID of the logged model to log params for.
Request body
- paramsarray of object
Parameters to attach to the model.
Show child attributesHide child attributes
- keystring
The key identifying this param.
- valuestring
The value of this param.